import 'antd/dist/antd.css';
import React, { useContext, useEffect } from 'react';

import { useUnauthRedirect } from '../../../hooks';
import { useRouter } from 'next/router';
import { Button, Typography } from 'antd';
import { faFileLines } from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { LoggedUserContext } from '../../../contexts/LoggedUserContext';
import { MainLayout } from '../../../layouts/mainLayout';
import { documentController } from '../../../controllers';

function AdminDocumentPage() {
    const redirecting = useUnauthRedirect('/login');
    const { logout, role } = useContext(LoggedUserContext);
    const router = useRouter();
    useEffect(() => {
        if (role !== 'ADMINISTRATOR') {
            logout();
            router.push('/login');
        }

        if (!redirecting) {
            // TODO load documents
        }
    }, [logout, redirecting, role, router]);

    const showModal = () => {
        // TODO show AddDocument component
    };

    return redirecting || role !== 'ADMINISTRATOR' ? null : (
        <MainLayout>
            <Typography.Title level={2}>
                <FontAwesomeIcon icon={faFileLines} /> Dokumenty
            </Typography.Title>
            <Button type={'primary'} onClick={showModal}>
                Nahrát dokument
            </Button>
        </MainLayout>
    );
}

export default AdminDocumentPage;
